

/*
-- ------ Subscribe ------ --
*/
function Gsnavigation(){}
//-- ------ #Parameters ------ --

Gsnavigation.prototype.sAjax_0=new netsSingleAjax();
Gsnavigation.prototype.sIDS=new Array();
Gsnavigation.prototype.sIDS_Index=0;
Gsnavigation.prototype.sSection_Index=0;


//-- ------ #Methods ------ --
//#Sending
Gsnavigation.prototype.OnCollection_ALL=function(){
	document.getElementById(tmpFrames.sysContentBoxFrame).className=tmpCommon.sysHidden;
	document.getElementById(tmpFrames.sysContentBoxReport+"Box").className="contentBoxReportBox";
	var tmpElement_Report=document.getElementById(tmpFrames.sysContentBoxReport);
	tmpElement_Report.className="contentBoxReport";
	tmpElement_Report.innerHTML="正在为您准备采集..."+tmpCommon.sysSPLIT8;
	tmpElement_Report.innerHTML="数据已准备好，开始采集..."+tmpCommon.sysSPLIT8+tmpElement_Report.innerHTML;
	
	this.sIDS_Index=0;
	
	var tmpURL=tmpCommon.sysPage+"?ActionType=DCollection&DCollection=ALL"+tmpCommon.sysSPLIT1+
		0+tmpCommon.sysSPLIT1+0+tmpCommon.sysSPLIT1+0;
	document.getElementById(tmpCommon.sysBatchMachineFramet).src=tmpURL;
	
	tmpElement_Report.innerHTML="<span class=FBlack4>"+tmpURL+"</span>"+tmpCommon.sysSPLIT8+tmpElement_Report.innerHTML;
	return 0;
}
Gsnavigation.prototype.OnCollection_Byid=function(pID){
	document.getElementById(tmpFrames.sysContentBoxFrame).className=tmpCommon.sysHidden;
	document.getElementById(tmpFrames.sysContentBoxReport+"Box").className="contentBoxReportBox";
	var tmpElement_Report=document.getElementById(tmpFrames.sysContentBoxReport);
	tmpElement_Report.className="contentBoxReport";
	tmpElement_Report.innerHTML="正在为您准备采集..."+tmpCommon.sysSPLIT8;
	tmpElement_Report.innerHTML="数据已准备好，开始采集..."+tmpCommon.sysSPLIT8+tmpElement_Report.innerHTML;

	this.sIDS=new Array();
	this.sIDS[0]=pID;
	this.sIDS_Index=0;
	
	var tmpURL=tmpCommon.sysPage+"?ActionType=DCollection&DCollection=SINGLE"+tmpCommon.sysSPLIT1+
		pID+tmpCommon.sysSPLIT1+0+tmpCommon.sysSPLIT1+0;
	document.getElementById(tmpCommon.sysBatchMachineFramet).src=tmpURL;
	
	tmpElement_Report.innerHTML="<span class=FBlack4>"+tmpURL+"</span>"+tmpCommon.sysSPLIT8+tmpElement_Report.innerHTML;
	return 0;
}
Gsnavigation.prototype.Collection_Callback=function(pFlag,pID,pIndex){
	//-- #Check framebox state --
	if(parent.document.getElementById(parent.tmpFrames.sysContentBox).className==tmpCommon.sysHidden){
		return 1;
	}
	var tmpURL="";
	var tmpElement_Report=parent.document.getElementById(parent.tmpFrames.sysContentBoxReport);
	//-- ### --
	if(pFlag=="SETIDS"){
		//-- ------ #SETIDS ------ --
		parent.tmpGsnavigation.sIDS=pID.split(tmpCommon.sysSPLIT2);
		tmpElement_Report.innerHTML="生成采集数据列表..."+tmpCommon.sysSPLIT8+tmpElement_Report.innerHTML;
		
		tmpURL=tmpCommon.sysPage+"?ActionType=DCollection&DCollection=SINGLE"+tmpCommon.sysSPLIT1+
			parent.tmpGsnavigation.sIDS[parent.tmpGsnavigation.sIDS_Index]+tmpCommon.sysSPLIT1+0+tmpCommon.sysSPLIT1+0;
		window.location=tmpURL;
		
		tmpElement_Report.innerHTML="<span class=FBlack4>"+tmpURL+"</span>"+tmpCommon.sysSPLIT8+tmpElement_Report.innerHTML;
	}else if(pFlag=="NEXTID"){
		//-- ------ #NEXTID ------ --
		tmpINT=parent.tmpGsnavigation.sSection_Index+1;
		tmpElement_Report.innerHTML="<span class=\"FBlue3\">已完成（ID为"+parent.tmpGsnavigation.sIDS[parent.tmpGsnavigation.sIDS_Index]+"，第"+tmpINT+"部分）的采集...</span>"+tmpCommon.sysSPLIT8+tmpElement_Report.innerHTML;
		if(pIndex<0){
			parent.tmpGsnavigation.sIDS_Index++;
		}else{
			parent.tmpGsnavigation.sSection_Index++;
		}
		if(parent.tmpGsnavigation.sIDS.length>parent.tmpGsnavigation.sIDS_Index){
			tmpURL=tmpCommon.sysPage+"?ActionType=DCollection&DCollection=SINGLE"+tmpCommon.sysSPLIT1+
				parent.tmpGsnavigation.sIDS[parent.tmpGsnavigation.sIDS_Index]+tmpCommon.sysSPLIT1+
				parent.tmpGsnavigation.sSection_Index+tmpCommon.sysSPLIT1+0;
			window.location=tmpURL;
			tmpElement_Report.innerHTML="<span class=FBlack4>"+tmpURL+"</span>"+tmpCommon.sysSPLIT8+tmpElement_Report.innerHTML;
		}else{
			tmpElement_Report.innerHTML="<span class=\"FRed3\">已完成所有采集</span>"+tmpCommon.sysSPLIT8+tmpElement_Report.innerHTML;
		}
		
	}else if(pFlag=="END"){
		//-- ------ #END ------ --
		tmpElement_Report.innerHTML="<span class=\"FRed3\">已完成所有采集</span>"+tmpCommon.sysSPLIT8+tmpElement_Report.innerHTML;
		
	}
	
	
	return 0;
}


//-- ------ #Instanct ------ --
var tmpGsnavigation=new Gsnavigation();



